autoblog install problem

hi, i get the white screen when installing autoblog with following error:

Warning: require_once(autoblogincludes/includes/config.php) [function.require-once]: failed to open stream: No such file or directory in /home/sadov88/public_html/wp-content/mu-plugins/autoblog.php on line 35

Fatal error: require_once() [function.require]: Failed opening required 'autoblogincludes/includes/config.php' (include_path='.:disappointed:usr/lib/php:disappointed:usr/local/lib/php') in /home/sadov88/public_html/wp-content/mu-plugins/autoblog.php on line 35

I had the old version of autoblog installed and it was behaving weird in the past. I've deleted the old one from ftp and uploaded the new but ran into the above problem.

any help appreciated. thanks.